Bug 843985 - Horysontal lines after kernel boots on sandybridge graphics
Horysontal lines after kernel boots on sandybridge graphics
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 14:51 EDT by niktr
Modified: 2015-12-21 04:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:48:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description niktr 2012-07-27 14:51:46 EDT
Description of problem:

On HP pro 3420 AiO PC there is a horysontal lines appears starting from the moment of booting the kernel immidiatelly after grub finishes. GRUB screen is noremal and after kernel boots it starting to have lines moving across the display

Version-Release number of selected component (if applicable):
Not sure if it is video driver but version of intel driver is 2.19.0-5.fc17.x86_64

How reproducible:

Steps to Reproduce:
1. Power on PC
2. Install Fedora 17
3. Enjoy lines
  
Actual results:

Horisontal lines running across the monitor

Expected results:

Normal image

Additional info:

All the drivers (intel, vesa, fbdev) are having the same behaviour - lines.

Tried several methods to make things work.
1) per http://www.linuxquestions.org/questions/linux-hardware-18/intel-sandy-bridge-graphics-running-lines-on-screen-942450/ 
"Added to /etc/default/grub:
Code:

GRUB_CMDLINE_LINUX_DEFAULT="quiet nomodeset"
GRUB_GFXMODE=1600x900
GRUB_GFXPAYLOAD_LINUX=1600x900

update-grub

and /etc/modprobe.d/i915-kms.conf is changed:
Code:

options i915 modeset=0"
Result is 800x600 resolution with no lines woth no possibility to set up normal resolution
2) palyed with xorg.conf with setting up modelines manually. 
Result is failed graphic mode
3) removing one or all drivers (intel, vesa, fbdev). If any of them is installed lines are present. If all are removed PC is freezed.
4) different combinations of 1,2,3 which seemed me reasonable.
For now PC is working normally on 800x600 only.


Tech info

00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b5)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation H61 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
02:00.0 Network controller: Ralink corp. Device 5390
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
04:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5209 (rev 01)

BIOS Information
	Vendor: AMI
	Version: LEO_707
	Release Date: 11/17/2011
	Address: 0xF0000
	Runtime Size: 64 kB
	ROM Size: 1024 kB
	Characteristics:
		PCI is supported
		PNP is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		EDD is supported
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		ACPI is supported
		USB legacy is supported
		BIOS boot specification is supported
		Function key-initiated network boot is supported
		Targeted content distribution is supported
		UEFI is supported
	BIOS Revision: 4.6

Handle 0x0001, DMI type 1, 27 bytes
System Information
	Manufacturer: Hewlett-Packard
	Product Name: HP Pro 3420 AiO PC
	Version:  
	Wake-up Type: Power Switch
	SKU Number: LH163ES#ACB

kernel-3.4.6-2.fc17.x86_64

Thank you in advance
Comment 1 niktr 2012-07-28 03:04:41 EDT
One more thing. Here http://askubuntu.com/questions/94985/ubuntu-driver-for-intel-sandybridge-ivybridge-graphics and here http://www.cyberforum.ru/ubuntu-linux/thread398662-page4.html (discussion on Russian but final post prety clear) people calims they solved the problem. At least screen resolution is ok. But similar thing didn't seem to work for me.(In reply to comment #0)
Comment 2 niktr 2012-08-07 16:05:04 EDT
Infortunatelly I had a typo and seems http://askubuntu.com/questions/94985/ubuntu-driver-for-intel-sandybridge-ivybridge-graphics and here http://www.cyberforum.ru/ubuntu-linux/thread398662-page4.html are solving horysontal lines problem
i.e. adding
GRUB_CMDLINE_LINUX= «nomodeset»
GRUB_GFXMODE=1600x900
into /etc/default/grub and doing grub2-mkconfig -o /boot/grub2/grub.cfg does the job.
Regarding perfomance have nothing to say so far as no clear testing done.
To make clear what lines I'm talking about please refer to this http://www.youtube.com/watch?v=5lKYLggdAS8 video.

overall BKM is found but seems more reliable solution without nomodeset option is needed.

Thanks.
Comment 3 Miroslav Mamrak 2012-08-21 06:32:40 EDT
Thank you very much for your report.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora End Of Life 2013-07-03 15:24:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 13:48:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.